Name: nodebrain
Version: 0.9.02
Release: 1%{?dist}

%define _disable_ld_no_undefined 1
%define is_mandriva %(test -e /etc/mandriva-release && echo 1 || echo 0)

Summary: A declarative rule-based language for state and event monitoring
License: MIT
Group: Development/Languages
Source: nodebrain-0.9.02.tar.gz
URL: http://www.nodebrain.org/

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libedit-devel pcre-devel openssl-devel gettext pkgconfig
Requires: libedit pcre
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%prep
%setup -q 

%build
%configure 
make %{?_smp_mflags} CFLAGS="$CFLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} \
    docdir=%{buildroot}%{_docdir}/%{name} \
    pkgconfigdir=%{_libdir}/pkgconfig \
    install
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
rm -f %{buildroot}/%{_infodir}/dir

%post
if [ -f %{_infodir}/nodebrain.info.gz ]; then # for --excludedocs
   /sbin/install-info %{_infodir}/nodebrain.info.gz %{_infodir}/dir ||:
fi

%preun
if [ $1 = 0 ]; then
    if [ -f %{_infodir}/nodebrain.info.gz ]; then # for --excludedocs
        /sbin/install-info --delete %{_infodir}/nodebrain.info.gz %{_infodir}/dir ||:
    fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%description
NodeBrain is an interpreter of a declarative rule-based language designed
for construction of state and event monitoring applications. It interacts
with other monitoring components to perform simple element state monitoring
or complex event correlation based on user specified rules. It is extended
through the development of node modules (plug-ins) using NodeBrain's C API,
and servants (programs written in any language) that interact with
NodeBrain via stdin, stdout, and stderr. A small set of plug-ins are
distributed with NodeBrain to provide commonly needed features such as
peer-to-peer communication, log monitoring, event caching, and a web
browser interface for administrators. 

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%dir %{_libdir}/nb-%{version}
%{_bindir}/nb
%{_bindir}/nb-%{version}
%{_bindir}/nbkit
%{_libdir}/libnb-%{version}.so
%{_libdir}/libnb.so
%{_libdir}/nb-%{version}/*.so
%exclude %{_libdir}/*.a
%exclude %{_libdir}/nb-%{version}/*.a
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*
%{_mandir}/man5/*.5*
%{_mandir}/man7/*.7*
%{_infodir}/*.info*

#-- nodebrain-devel rpm --------------------------------------------------

%package devel
Group:          Development/Libraries
Summary:        Development package for nodebrain
Requires:       pkgconfig
Requires:       nodebrain = %{version}-%{release}

%description devel
This package contains development files for nodebrain.

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/nb
%{_includedir}/nb/*
%if %is_mandriva
%ghost %{_libdir}/*.so
%ghost %{_libdir}/nb-%{version}
%else
%exclude %{_libdir}/*.so
%exclude %{_libdir}/nb-%{version}
%endif
%{_libdir}/pkgconfig/*.pc


#-- nodebrain-static rpm --------------------------------------------------

%package static
Group:          Development/Libraries
Summary:        Static libraries for nodebrain
Requires:       nodebrain-devel = %{version}-%{release}

%description static
This package contains static libraies for nodebrain.

%files static
%defattr(-,root,root,-)
%{_libdir}/*.a
%exclude %{_libdir}/nb-%{version}


#-------------------------------------------------------------------------

%changelog
* Wed Jul 9 2014 Ed Trettevik <eat@nodebrain.org> - 0.9.02-1
- Update for 0.9.02

* Tue Jul 8 2014 Ed Trettevik <eat@nodebrain.org> - 0.8.17-1
- License change and switch from readline to libedit

* Mon Feb 17 2014 Ed Trettevik <eat@nodebrain.org> - 0.8.16-1
- Configuration options

* Sat Apr 27 2013 Ed Trettevik <eat@nodebrain.org> - 0.8.15-2
- Changed to please rpmlint

* Sun Mar 10 2013 Ed Trettevik <eat@nodebrain.org> - 0.8.15-1
- Switch location of modules to {_libdir}/nb-{version}

* Sun Jan 20 2013 Ed Trettevik <eat@nodebrain.org> - 0.8.13-1
- Updated for 0.8.13

* Fri Feb 26 2010 John Ellson <ellson@research.att.com> - 0.8.3-1
- First rpm packaging.

